<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/login-v2', function () {
    return view('login-v2');
});

Route::get('/register-v2', function () {
    return view('register-v2');
});

Route::get('/dashboard', function () {
    return view('dashboard');
});

Route::get('/application', function () {
    return view('application');
});

Route::get('/profile', function () {
    return view('profile');
});

Route::get('/explore', function () {
    return view('explore');
});

Route::get('/title', function () {
    return view('title');
});

Route::get('/home', function () {
    return view('home');
});

Auth::routes();

Route::get('/profile', 'HomeController@index')->name('profile');
Route::get('/email-verification/{id}', [App\Http\Controllers\RegisterController::class,'email_verification'])->name('/email-verification');
Route::get('/save-as-complete', [App\Http\Controllers\StudentHomeController::class,'save_as_complete'])->name('save-as-complete');
Route::post('/institution_save', [App\Http\Controllers\StudentHomeController::class,'institution_save'])->name('institution-save');
Route::post('/work_save', [App\Http\Controllers\StudentHomeController::class,'work_save'])->name('work-save');
Route::post('/score_save', [App\Http\Controllers\StudentHomeController::class,'score_save'])->name('score-save');
Route::get('/education-remove/{id}', [App\Http\Controllers\StudentHomeController::class,'education_remove'])->name('education-remove');
Route::get('/work-remove/{id}', [App\Http\Controllers\StudentHomeController::class,'work_remove'])->name('work-remove');
Route::get('/score-remove/{id}', [App\Http\Controllers\StudentHomeController::class,'score_remove'])->name('score-remove');
Route::get('/proposal-remove/{id}', [App\Http\Controllers\StudentHomeController::class,'proposal_remove'])->name('proposal-remove');
Route::post('/institution-update/{id}', [App\Http\Controllers\StudentHomeController::class,'institution_update'])->name('institution-update');
Route::post('/work-update/{id}', [App\Http\Controllers\StudentHomeController::class,'work_update'])->name('work-update');
Route::post('/score-update/{id}', [App\Http\Controllers\StudentHomeController::class,'score_update'])->name('score-update');
Route::post('/proposal_save', [App\Http\Controllers\StudentHomeController::class,'proposal_save'])->name('proposal-save');
Route::post('/proposal-update/{id}', [App\Http\Controllers\StudentHomeController::class,'proposal_update'])->name('proposal-update');
Route::post('/home/proposal-media-upload', [App\Http\Controllers\StudentHomeController::class,'proposal_media_upload'])->name('proposal_media_upload');
Route::get('/change_work_experience/{status}', [App\Http\Controllers\StudentHomeController::class,'change_work_experience'])->name('change_work_experience');
Route::get('/change_test_score/{status}', [App\Http\Controllers\StudentHomeController::class,'change_test_score'])->name('change_test_score');
Route::get('/teacher_profile', [App\Http\Controllers\TeacherHomeController::class,'teacher_profile'])->name('teacher_profile');
Route::post('teacher-logout', [App\Http\Controllers\Auth\LoginController::class,'teacher_logout'])->name('teacher-logout');